sys-auth/pam-afs-session
sys-auth/pam_chroot
sys-auth/pam_require
-sys-block/dellmgr
# Michał Górny <mgorny@gentoo.org> (2019-10-04)
# Unmaintained, EAPI 0 packages. No reverse dependencies. If you want
+++ /dev/null
-DIST perc-apps-A08.tar.gz 761709 BLAKE2B aa6db61580c90fb6fc5799fc1562d792dec711d61bd27a0f5a3110dec037dbe8517b4574f44bcdc776ac14fdf6aa44578183b18ee536ea1bcde80a06854d9cc0 SHA512 0a29b9a29216e81740488718307a85aac9560384ef8ba0d4bebdaf91b48d366cf6c4e025b17656abf03a2b8074f18c4595d88f3929e03233a08863b08f9d2d85
+++ /dev/null
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-inherit multilib rpm
-
-MY_PV=${PV}-0
-DESCRIPTION="Dell PERC 2/3/4 RAID controller management tool"
-HOMEPAGE="http://linux.dell.com/"
-SRC_URI="http://ftp.us.dell.com/scsi-raid/perc-apps-A08.tar.gz"
-
-LICENSE="Dell"
-SLOT="0"
-# This package can never enter stable, it can't be mirrored and upstream
-# can remove the distfiles from their mirror anytime.
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RESTRICT="strip mirror test"
-
-S="${WORKDIR}"
-
-pkg_setup() {
- use amd64 && { has_multilib_profile || die "needs multilib profile on amd64"; }
-}
-
-src_unpack() {
- unpack ${A}
- rpm_unpack "${S}"/Dellmgr-${MY_PV}.i386.rpm || die "failed to unpack RPM"
-}
-
-src_compile() {
- echo "Nothing to compile."
-}
-
-src_install() {
- newsbin "${FILESDIR}"/dellmgr-r2 dellmgr
- dosbin usr/sbin/dellmgr.bin
-}
+++ /dev/null
-#!/bin/sh
-
-# Get the major number of the megadev ioctl device node
-megadev_major=$(egrep '[[:space:]]megadev(_legacy)?$' /proc/devices 2>/dev/null | awk '{print $1}' 2>/dev/null)
-megadev_node=/dev/megadev0
-
-# MegaRAID device node major number found
-if [ -z "${megadev_major}" ]; then
- echo "ERROR: failed to determine device node major number"
- exit 1
-fi
-if [ -e "${megadev_node}" ]; then
- if ! rm -f "${megadev_node}"; then
- echo "ERROR: failed to remove existing device node ${megadev_node}"
- exit 1
- fi
-fi
-if ! mknod "${megadev_node}" c "${megadev_major}" 0; then
- echo "ERROR: failed to create device node ${megadev_node}"
- exit 1
-fi
-
-# Start the real dellmgr binary
-"${0%/*}/dellmgr.bin" "${@}"
+++ /dev/null
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<!-- maintainer-needed -->
-</pkgmetadata>